#
# $Id$
#
# Used if virtual name != real name (perl, ...)
#define srcname	meganizer

Summary:        Organizes books- and music collections of the whole family
#Summary(fr):    french bla-bla

Name:           meganizer
Version:        0.3.2
Release:        1%{dist}
License:        GPLv2
Group:          Applications/Productivity
Url:            http://en.engsas.de/meganizer
Source:         http://ftp.engsas.de/unstable/src/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires:	gcc-c++,make,cmake,qt-devel,qca2-devel,xorg-x11-server-Xvfb,xorg-x11-xauth
Requires:      	qt, qt-x11, qt-mysql, qca-ossl

%description
Beside the management of books- and music collections, based on the existing data, Meganizer offers many practical fucntions. So the loaning of medias is as well supported as the management of whishes. The possibility to organize ideas for presents completes the management of new acquisitions. Therefore Meganizer makes all these growing note collections full of whishes and present ideas unnecessary.

%description -l fr
french desc

%prep
%setup -q

%build
cmake -DBUILD_PACKAGE=ON -DL10N_ALL=ON -DWITH_ALL=ON -DBINDINGS_KDE=OFF -DLIB_INSTALL_DIR=%{_libdir} -DCMAKE_INSTALL_PREFIX=/usr
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%{_bindir}/*
%{_libdir}/*
/usr/share/meganizer/*
/usr/share/pixmaps/*
/usr/share/applications/*
%doc /usr/share/doc/meganizer/*
%doc %{_mandir}/man1/meganizer.1*
%doc %{_mandir}/de/man1/meganizer.de.1*
%doc %{_mandir}/de/man5/meganizer.de.5*
%doc %{_mandir}/man5/meganizer.5*
#%doc INSTALL COPYING README AUTHORS NEWS

%changelog
* Fri Dec 03 2010 EngSaS Mantainer <info@engsas.de> 0.3.2-1
- Updated to 0.3.2
  * Supports media type Movie
  * Media can have keywords now
  * Fixed some other bugs
  * EngSaS <meganizer@engsas.de> Fri, 03 Dec 2010 09:00:00

* Tue Oct 19 2010 EngSaS Mantainer <info@engsas.de> 0.3.1-1
- Updated to 0.3.1
  * Release first stable version
  * EngSaS <meganizer@engsas.de> Fri, 19 Oct 2010 09:30:00

* Sat Oct 16 2010 EngSaS Mantainer <info@engsas.de> 0.3.0-1
- Updated to 0.3.0
  * Fixed all opened bugs
  * All dependency issues should be fixed
  * EngSaS <meganizer@engsas.de> Sat, 16 Oct 2010 17:30:00



%post
/sbin/ldconfig

%postun
/sbin/ldconfig
